Subject: Re: bug#57877: [PATCH] Add empty X-Debbugs-Cc header to bug report template
From: Michael Albinus <[email-masked]>
To: Stefan Kangas <[email-masked]>
Cc: Daniel Martín <[email-masked]>, Augusto Stoffel <[email-masked]>, [email-masked]
Date: Fri, 27 Sep 2024 09:36:14 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 31.1

Stefan Kangas <[email-masked]> writes:

> Michael Albinus <[email-masked]> writes:
>
>> Stefan Kangas <[email-masked]> writes:
>>
>>> Daniel Martín via "Bug reports for GNU Emacs, the Swiss army knife of
>>> text editors" <[email-masked]> writes:
>>>
>>>> I think this change may confuse some users because there will be a blank
>>>> X-Debbugs-Cc header when reporting a bug (they'll ask themselves "what
>>>> should I put here?, what does this do?").  I think we should update the
>>>> bug template to explain when to fill that special mail header, at least.
>>>
>>> I think we should just make `message-goto-cc' command use
>>> "X-Debbugs-CC" in both `report-emacs-bug' and `submit-emacs-patch'.
>>
>> Apparently, the requested header is added in `report-emacs-bug' by commit
>> 040cba5d3332. Shouldn't we do the same for `submit-emacs-patch', and
>> close the bug?
>
> Makes sense to me.

Done, pushed to master. Closing the bug.

Best regards, Michael.